﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Data;
using System.IO;
using System.Text;
using System.Windows;


namespace RockyCube
{
    public class LoggingClient
    {
        public static void log(string logline)
        {
            logline = urlEncode(logline);
            string postdata = "pass=G1vemem0redata&app=cube&logline=" + logline;
            string serviceUrl = "http://localhost:8085/LoggingService";

            WebClient logClient = new WebClient();
            logClient.UploadStringCompleted += new UploadStringCompletedEventHandler(client_UploadStringCompleted);
            logClient.Headers["Content-Type"] = "application/x-www-form-urlencoded";
            logline = urlEncode(logline);
            logClient.UploadStringAsync(new Uri(serviceUrl), "POST", postdata);

        }

        static void client_UploadStringCompleted(object sender, UploadStringCompletedEventArgs e)
        {
            if (e.Result.Contains("ERROR"))
                throw new Exception("Could not write to log: "+e.Result);
        }

        static string urlEncode(string content)
        {
            string newstring = "";

            for (int i = 0; i < content.Length; i++)
            {
                char c = content[i];

                // if c is not a digit or letter
                if (c < '0' ||
                    c > '9' && c < 'A' ||
                    c > 'Z' && c < 'a' ||
                    c > 'z')
                {
                    // escape it
                    newstring += String.Format("{0:X2}", c);
                }
                else
                {
                    newstring += c;
                }
            }

            return newstring;
        }
    }
}
